id: 1
createtime: 2023-10-16T06:41:10.433327861Z
name: test-app.3.windup
addon: windup
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    output: /windup/report
    rules:
        labels: []
        path: ""
        repository:
            branch: rules_file
            kind: git
            path: ""
            url: https://github.com/mguetta1/book-server
        rulesets: []
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnown: false
    tagger:
        enabled: true
application:
    id: 3
    name: test-app
state: Succeeded
image: registry.redhat.io/mta/mta-windup-addon-rhel9@sha256:e6715fc3d1b9a29621542b0d2eabb00c6a1b875731b85e84482b06e79e1fa05d
bucket:
    id: 10
    name: ""
started: 2023-10-16T06:41:11.166294471Z
terminated: 2023-10-16T06:42:41.838432622Z
pod: openshift-mta2/task-1-5pnv9
report:
    id: 1
    createuser: addon:windup
    updateuser: addon:windup
    createtime: 2023-10-16T06:41:13.303216137Z
    status: Succeeded
    total: 2
    completed: 2
    activity:
        - Fetching application.
        - '[BUCKET] Report deleted:/windup/report duration:13.885507ms.'
        - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
        - '[CMD] succeeded.'
        - '[SSH] Agent started.'
        - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
        - '[GIT] Using credentials (id=3) mguetta.'
        - '[FILE] Created /working/.gitconfig.'
        - '[FILE] Created /working/.git-credentials.'
        - '[CMD] Running: /usr/bin/git clone https://github.com/konveyor/tackle-testapp /working/source/tackle-testapp'
        - '[CMD] succeeded.'
        - '[GIT] Cloning: https://github.com/mguetta1/book-server'
        - '[CMD] Running: /usr/bin/git clone https://github.com/mguetta1/book-server /working/rules/repository'
        - '[CMD] succeeded.'
        - '[CMD] Running: /usr/bin/git checkout rules_file'
        - '[CMD] succeeded.'
        - '[WARNING] File: /working/rules/repository/2018-11-19-BookServer.iml without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/README.md without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/custom_rules/customWebLogic.windup.label.xml without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/library.dta without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/pom.xml without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/src/main/java/com/telran/application/BookServerApp.java without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/src/main/java/com/telran/application/controller/BookQuerriesController.java without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/src/main/java/com/telran/application/controller/BookStartEndController.java without extension (.windup.xml) ignored.'
        - '[WARNING] File: /working/rules/repository/src/main/java/com/telran/application/model/BookModel.java without extension (.windup.xml) ignored.'
        - '[CMD] Running: /opt/windup --legacyReports --exitCodes --batchMode --output /working/report --exportSummary --input /working/source/tackle-testapp --userRulesDirectory /working/rules/repository --target azureAppservice --target phil'
        - '[CMD] succeeded.'
        - '[BUCKET] Report updated:/windup/report duration:653.400975ms.'
        - '[TAG] Tagging Application 3.'
    taskid: 1
